Subject: Re: [Roll] review of draft-ietf-roll-applicability-ami

From: Nicolas DEJEAN <[email-masked]>
Date: Tue, 30 Aug 2011 09:57:51 +0200

Hello Jari,

sorry for the late reply but as you know, summer time is not the best
period for being reactive.

2011/7/29 Jari Arkko <[email-masked]>:
> I have reviewed this document, and had some comments:
>
> First off, I was one of the IESG members who have been asking for the ROLL
> working group to produce applicability statement(s) about RPL. Thank you for
> working on this! However, I think we are still not quite there. What at
> least I was asking for was more about experience, measurements, and analysis
> about how well RPL works in various types of networks. The current document
> is more descriptive (talks about the RPL design goals, for instance) and
> contains some profiling. While those parts are very useful as well, I feel
> that the core part of the contribution that this applicability statement
> should be making is missing. Perhaps the working should make an open call
> for the experience/measurements/analysis that is needed. Some may already
> exist, I'm sure.
>
> Some additional more detailed comments:
>
> The gas and water metering part discusses cases where the meters can or can
> not rely on the networks that electricity measurement devices have created.
> I think this description is not quite right. My experience is that gas and
> water meters tend to exist in places with power easily available. In
> Finland, for instance, water/heat pipe meters have been a standard for new
> homes dating back at least 2004, and they all run from mains power. So I
> think power will be available, and the ability to use another measuring
> network is kind of a secondary issue (and reuse of other networks may be
> more about administrative borders than about technology anyway).
>

Thank you very much for this description of the situation in Finland.
I had never heard about that case

However, from my own experience, even if some deployments allow
relying on power for Water and Gas meters, I believe that in many
other cases power is not available for those meters.

This being said, we can consider two cases: another network is available or not.

If another network is available (we assume it runs RPL), it seems a
good idea that W/G meters uses it if possible (cf. DSMR in Netherlands
or OMS in Germany for instance).

If not, it is possible that a dedicated infrastructure is deployed for
these fluids (there are some studies today in several European
countries for deployments in the next years). This infrastructure
might be mains powered or not and it makes sense to study how RPL
could apply in this case.

In all cases, it would be interesting that all the nodes (even those
behaving as leaf nodes) know about RPL for having the ability to
choose the best or at least a good enough route.

Would you agree?

> Both the electricity and gas/water sections appear to take it almost for
> granted that multi-hop routing is necessary in these applications. That's
> certainly one way of building the networks, and the reason for the existence
> of this working group. But I would have expected that an applicability
> statement talked about the situations where this works best versus
> situations where some other solutions might work better. I see a lot of
> one-hop commercial deployment in this space, for instance, the metering
> systems in Finland are cellular-based. Is there something that you could say
> about when the different approaches are best applicable? Or is that purely a
> business issue, i.e., both work well and the only question is
> equipment/provider cost?
>

I agree that different methods allow building metering networks. A lot
of AMI networks are already deployed today with both star (one-hop)
and mesh (multi-hop) topologies, depending on the capabilities of the
underlying technology.

However, the use RPL only makes sense in a mesh architecture.

What we intend to do as authors (we have discussed this particular
point) is to add a short introduction clarifying the scope of the
document. It must be stated somewhere that different architecture
could fit the requirements of AMI deployments and that the document
describes how RPL can be used for this purpose in the case where
multi-hop mesh architecture is used only.

What do you think?

Thank you,

Nicolas.

>> As a result, all smart metering traffic
>> typically goes through the LBRs, with the vast majority of traffic
>> flowing from smart meter devices to the head-end servers, i.e., in a
>> Multipoint-to-Point (MP2P) fashion.
>>
>
> I'm not so sure about this. Pure metering implementations may have
> initiation on either side of the connection, and a request is likely to be a
> small packet but so are responses. As you note yourself later, there are
> firmware updates and other extraneous traffic cases that may balance the
> small response - slightly bigger response equation. In any case, its pretty
> useless of for me or you to guess -- but I'm guessing some actual operators
> have real data about the traffic mix and directionality. Can that be cited?
>
> Jari
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>